Subject: bug#46033: up arrow in query replace should not step into the prompt

From: reporter <[email-masked]>
Date: Sat, 23 Jan 2021 17:35:59 +0000

>
> That's how it's supposed to work, though.

It is not useful at all when the prompt is empty and the full default
replacement is visible, because then there is nothing to scroll.

This is the case just after the user invoked query replace. If
the user does not type anything for a new replacement then he
wants to retrieve a previous replacement.

In this specific case up arrow should also retrieve the previous
history, instead of going into the prompt which is useless in
this case.

https://i.imgur.com/7G3FcPX.png